emacs (1:30.1+1-9ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Aug 2025 09:19:50 +0200

emacs (1:30.1+1-9) unstable; urgency=medium

  * Adjust shr-tests/zoom test to work with libxml2 2.14+ Add
    0023-test-lisp-net-shr-tests.el-shr-test-zoom-image-Fix-i.patch to
    address the issue. Thanks to Matthias Klose for reporting the problem.
    (Closes: #1106354)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Aug 2025 20:04:56 -0500

emacs (1:30.1+1-8ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Test build, ignore test results.
    - Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 11:50:59 +0200

emacs (1:30.1+1-8) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 10 Aug 2025 10:21:45 +0100

emacs (1:30.1+1-7) experimental; urgency=medium

  * Add & run script to generate Breaks/Replaces/Provides for builtin
    packages during the build (Closes: #1103033).
    Thanks to Xiyue Deng for the script.

  * Backport upstream commit adding builtin packages query interfaces.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 25 Jul 2025 09:37:19 +0100

emacs (1:30.1+1-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Test build, ignore test results.
    - Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 11:18:35 +0200

emacs (1:30.1+1-6) unstable; urgency=medium

  * Add Breaks/Replaces/Provides for builtin packages in this release.
    See #1103033.  Thanks to Xiyue Deng for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 18 Jul 2025 09:58:11 +0100

emacs (1:30.1+1-5ubuntu6) questing; urgency=medium

  * Test build, ignore test results.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 16:03:05 +0200

emacs (1:30.1+1-5ubuntu4) questing; urgency=medium

  * Disable shr/zoom-image test, fails with libxml2 2.14.x. See LP #2111576.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 12:40:09 +0200

emacs (1:30.1+1-5ubuntu2) questing; urgency=medium

  * No-change rebuild for libtree-sitter0.22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 07 May 2025 10:08:37 +0100

emacs (1:30.1+1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Mar 2025 07:50:07 +0200

emacs (1:30.1+1-5) unstable; urgency=medium

  * Disable emacs-module-tests.el (Closes: #1101598).
    These regularly cause FTBFS, i.e., more than just this bug report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Mar 2025 13:26:28 +0800

emacs (1:30.1+1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 08:23:44 +0100

emacs (1:30.1+1-4) unstable; urgency=medium

  * Add "Breaks: dh-elpa-helper (<< 2.1.7)" to flavour binary packages.
    Certain addons fail to byte-compile against Emacs 30 unless the
    newer dh-elpa-helper is made available first.
    It is believed, but not confirmed, that this is due to how the
    latest dh-elpa-helper compiles addons using byte-recompile-directory
    instead of batch-byte-compile.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 06 Mar 2025 18:44:41 +0800

emacs (1:30.1+1-3) unstable; urgency=high

  * Disable server-tests/server-force-stop/keeps-frames on riscv64.

  * README.source: Add tasks for separately-packaged built-in libraries.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Feb 2025 17:32:48 +0800

emacs (1:30.1+1-2) unstable; urgency=high

  * Boost BASE_PURESIZE in attempt to fix build on 32-bit archs.
    Thanks to Xiyue Deng for help testing.

  * Use correct upload urgency given security fixes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 09:21:24 +0800

emacs (1:30.1+1-1) unstable; urgency=medium

  * Merge upstream version 30.1 (Closes: #1088690, #1098255, #1098780).
    - Fixes CVE-2024-53920 and CVE-2025-1244.
    - Drop obsolete patch disabling flymake included-c-header-files test.

  * d/copyright: Updates for Emacs 30.1.
  * d/rules: Adjust for on-by-default native compilation.
  * d/control: Bump dependencies of 'emacs' metapackage.
  * d/control: Remove build dependency on libjansson-dev.
    This is no longer used by Emacs.

  * Fix eldoc warning in patch adding debian-emacs-flavor (Closes: #1095133).
    Thanks to Xiyue Deng for the report and fix.

  * README.source: Suggest using git-range-diff(1) on patch queues.
  * README.source: Bump version numbers in sample commands.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 24 Feb 2025 17:19:10 +0800

emacs (1:29.4+1-6ubuntu3) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 07:01:30 +0100

emacs (1:29.4+1-6) unstable; urgency=medium

  * Disable native compilation on loong64 (Closes: #1095720).
    Thanks to porter Dandan Zhang.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 12 Feb 2025 08:39:57 +0800

emacs (1:29.4+1-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jan 2025 07:05:00 +0100

emacs (1:29.4+1-5) unstable; urgency=medium

  * Update to GCC 14 (Closes: #1092655).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 13 Jan 2025 08:45:01 +0000

emacs (1:29.4+1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:42:02 +0100

emacs (1:29.4+1-4) unstable; urgency=medium

  * 00debian.el: Mark file with 'lexical-binding: t'.
  * 00debian.el: Use setopt, not setq.
  
  * Suggest emacs-editing-major-modes.
  
  * Disable flymake included-c-header-files test to fix build with
    gcc-14 (Closes: #1074936).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 Dec 2024 13:38:47 +0800

emacs (1:29.4+1-3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2024 08:16:03 +0200

emacs (1:29.4+1-3) unstable; urgency=high

  * Mark dired-test-bug27243-02 as unstable for now.
    This appears to be a known issue:
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#64
      https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27243#115
    Add 0017-Mark-dired-test-bug27243-02-as-unstable-for-now.patch to
    address it.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 29 Jun 2024 15:46:01 -0500

emacs (1:29.4+1-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jun 2024 11:43:29 +0200

emacs (1:29.4+1-2) unstable; urgency=medium

  * Minor edits to README.source.
  * Merge divergent branches of development.
    These were accidentally introduced by the previous upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Jun 2024 13:20:34 +0800

emacs (1:29.4+1-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jun 2024 11:42:49 +0200

emacs (1:29.4+1-1) unstable; urgency=medium

  * Merge upstream version 29.4. (Closes: 1074137)
  * Update debian/copyright for 29.4.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 24 Jun 2024 19:34:05 -0500

emacs (1:29.3+1-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 10:06:22 +0200

emacs (1:29.3+1-3) unstable; urgency=medium

  [ Sean Whitton ]
  * README.source: document our workflows.

  [ Rob Browning ]
  * README.source: add rationale.

  [ Xiyue Deng ]
  * Only install the GSettings schema in the pgtk build.  Move
    /usr/share/glib-2.0/schemas/org.gnu.emacs.defaults.gschema.xml from
    emacs-common to emacs-pgtk so that it won't trigger the addition of a
    gsettings dependency for flavors that don't use it. (Closes: 1050393)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 15 May 2024 00:37:47 -0500

emacs (1:29.3+1-2ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 14:51:52 +0200

emacs (1:29.3+1-2) unstable; urgency=medium

  * Change native-comp-async-report-warnings-errors to `silent'.

  * d/rules: Enable running tests concurrently.
    Thanks Arto Jantunen for the patch.

  * Fix installation of desktop files for emacs-nox.
    Thanks to Brendan O'Dea for the report and fix. (Closes: #1069294)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Apr 2024 07:52:47 +0100

emacs (1:29.3+1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:56 +1100

emacs (1:29.3+1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Mar 2024 14:54:42 +0100

emacs (1:29.3+1-1) unstable; urgency=high

  * Merge upstream version 29.3.  Thanks to David Bremner for the
    report. (Closes: 1067630)

  * Update debian/copyright for 29.3

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Mar 2024 16:30:50 -0500

emacs (1:29.2+1-2) unstable; urgency=medium

  * Fix Breaks/Replaces by prepending missing epoch (Closes: #1064851)

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Feb 2024 09:26:29 +0800

emacs (1:29.2+1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Feb 2024 21:10:39 +0100

emacs (1:29.2+1-1) unstable; urgency=medium

  [ Rob Browning ]
  * Give each Emacs flavor its own emacsclient.
    Move emacsclient from emacs-bin-common to the emacsVER (i.e.
    emacs-lucid, emacs-gtk, ...) packages so that each one will have the
    binary that was built for that flavor.

    Explicitly list the variant and common bin alternatives instead of
    globbing.  Add the alternatives variables to deb_sub so we don't need
    the separate perl -i substitutions.

    Stop splitting some of the debian/rules $(call ...) invocations across
    two lines because it was introducing a space into the argument value
    which would then break quoted expansions like "$(1)...".

    Thanks to Wang Yizhen & others for discussion.
    Closes: #1050953.  See also: #1043060.

  * Generate README.Debian from patch README-Debian psuedo-headers.

    Rework debian/patch-to-news to generate the README.Debian entry from a
    README-Debian DEP-3-style psuedo-header, when present.  The header's
    syntax is similar to the debian/control Description format.  Among
    other things, this change makes the common case of cherry-picking
    upstream patches easier, and less invasive, since in many cases, a
    simple README-Debian header can be appended while adding the other
    headers, instead of (as previously) reindenting the upstream commit, etc.

  * Adjust debian/patches for the new patch-to-news.

  * debian/emacs-common.README.in: drop vestigial ".elc removal" notice.
    Long irrelevant since switching to base the packaging on the upstream
    source repository.

  * debian/emacs-common.README.in: match NEWS mode/format vars.

  [ Sean Whitton ]
  * Merge upstream version 29.2.

  * debian/control: Add Breaks/Replaces for emacsclient package move.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 26 Feb 2024 16:55:58 +0800

emacs (1:29.1+1-5ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 12:03:23 +0200

emacs (1:29.1+1-5) unstable; urgency=medium

  * Don't try to build with native compilation on riscv64 (Closes: #1050653).
    Thanks to Aurelien Jarno and Bo YU.

  * Change native-comp-async-jobs-number default to 1 (Closes: #1050577).

  * d/rules: Re-encode in UTF-8.

  * d/copyright: Standardise continuation lines.

  * d/compat: Replace with debhelper-compat build-dep.
  * d/control: Update build-dep libncurses5-dev -> libncurses-dev.
  * d/control emacs-common: Comment out redundant Recommends of emacs-el.
  * d/control emacs-common: Drop some very old Breaks emacsNN entries.

  * Fix binary-without-manpage Lintian overrides.
  * Add two Lintian overrides.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 30 Aug 2023 08:53:05 +0100

emacs (1:29.1+1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - d/rules: set native compilation on riscv64 instead of using gcc-12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Aug 2023 08:59:23 +0200

emacs (1:29.1+1-4) unstable; urgency=medium

  * Take emacs-el from the pgtk build too to fix arch:all-only build.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 23 Aug 2023 14:33:41 +0100

emacs (1:29.1+1-3) unstable; urgency=medium

  * Take emacs-bin-common binaries from the pgtk build (Closes: #1043060).
    Use the pgtk build to populate emacs-common too, for simplicity.
    Thanks to Arto Jantunen for investigation and discussion.

  * d/rules: Set TERM to avoid a build failure (Closes: #1043006).
    Thanks to Gianfranco Costamagna for the report and fix.

  * d/rules: Fix dh_listpackages test for emacs-pgtk.

  * override_dh_auto_install: Delete $(install_dir_pgtk) too.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 23 Aug 2023 10:15:43 +0100

emacs (1:29.1+1-2ubuntu2) mantic; urgency=medium

  * set gcc-12 on riscv64 to fix a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Aug 2023 23:58:33 +0200

emacs (1:29.1+1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - set TERM to linux to avoid test failures with unknown terminal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 01:28:59 +0200

emacs (1:29.1+1-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Aug 2023 19:24:27 +0100

emacs (1:29.1+1-1) unstable; urgency=medium

  * Merge upstream version 29.1.
    - d/rules: Update for new name of emacs.pdmp.
    - debian/upstream-version: Update regexp to find Emacs 29.1's AC_INIT.

  * Add new emacs-pgtk binary package for the PGTK port.

  * d/control: Add build-deps on libsqlite3, libtree-sitter and libwebp.

  * Patch project-vc-recognizes-git test for Debian build.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 31 Jul 2023 09:28:10 +0100

emacs (1:28.2+1-16ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:56:19 +0200

emacs (1:28.2+1-16) unstable; urgency=medium

  * Switch to gcc-13 & restore versioned gcc build-dep (Closes: #1042185).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Jul 2023 10:31:54 +0100

emacs (1:28.2+1-15ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - use gcc-13 on riscv64 to fix an issue with libgccjit
      (See LP bug 2011487)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 May 2023 09:03:06 +0200

emacs (1:28.2+1-15) unstable; urgency=medium

  * emacs-common: add breaks/replaces emacs-bin-common (<< 1:28) since the
    emacs.service file moved from emacs-bin-common to emacs-common.
    Thanks to Helmut Grohne for reporting the problem and Andreas Beckmann
    for providing and testing the fix. (Closes: 1034941)

  * emacs-common: add breaks elpa-cider (<< 0.19.0+dfsg-4~).  Thanks to
    Andreas Beckmann for reporting the problem and providing and testing
    the fix. (Closes: 1035781)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 May 2023 15:17:27 -0500

emacs (1:28.2+1-14ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - use gcc-13 on riscv64 to fix an issue with libgccjit
      (See LP bug 2011487)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:54:34 +0200

emacs (1:28.2+1-14) unstable; urgency=medium

  * Fix gnus nnml crash on some invalid headers.  Add
    0026-Gnus-nnml-should-avoid-crashing-on-some-invalid-head.patch to
    address the issue. (Closes: 1033397)

  * Fix Org Mode command injection vulnerability CVE-2023-28617.  Add
    0027-Org-Mode-vulnerability-CVE-2023-28617-is-fixed-1-2.patch and
    0028-Org-Mode-vulnerability-CVE-2023-28617-is-fixed-2-2.patch to
    address the issue. (Closes: 1033342)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Apr 2023 22:38:56 -0500

emacs (1:28.2+1-13ubuntu3) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.
    - use gcc-13 on riscv64 to fix an issue with libgccjit
      (See LP bug 2011487)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Mar 2023 07:44:21 +0100

emacs (1:28.2+1-13) unstable; urgency=high

  * Cherry-pick upstream fixes for command injection vulnerabilities
    (CVE-2023-27985, CVE-2023-27986) (Closes: #1032538).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 14 Mar 2023 13:30:28 -0700

emacs (1:28.2+1-12ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable.
  * Drop changes:
    - Tag lscm test case as flakey.
    [ Not needed anymore; ppc64el is the only architecture affected
      and building Emacs with -O2 instead of -O3 solves the issue. ]
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
      [ Drop in order to reduce delta and make it possible to turn the
        package again into a sync with Debian. ]
  * Add changes:
    - d/rules: Build Emacs with -O2 instead of -O3 on ppc64el in order
      to prevent an FTBFS due to lcms-cri-cam02-ucs failing.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 06 Mar 2023 21:26:05 -0500

emacs (1:28.2+1-12) unstable; urgency=medium

  * Fix memory leak in etags.c introduced by recent security fix.
    Thanks to Adrian Bunk for identifying the issue.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Mar 2023 12:21:19 -0700

emacs (1:28.2+1-11) unstable; urgency=high

  * Cherry-pick upstream fixes for command injection vulnerabilities
    (CVE-2022-48337, CVE-2022-48338, CVE-2022-48339) (Closes: #1031730).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 Feb 2023 11:01:50 -0700

emacs (1:28.2+1-10ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Tag lscm test case as flakey.
  * Drop changes:
    - Limit optimization on ppc64el to fix test failure.
      [ Not needed anymore ]
    - Skip tests that require DNS lookups (LP #1911209)
      + debian/patches/skip-dns-lookup-tests.patch
      [ Fixed upstream ]
    - debian/patches/glibc-2.34-signal-stack-fix.patch: cherry-pick
      fix from upstream to fix the FTBFS with our Ubuntu glibc 2.34.
      [ Fixed upstream ]
    - Run 'python3' as default Python command instead of 'python'
      [ Fixed upstream ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 08 Feb 2023 18:46:42 -0500

emacs (1:28.2+1-10) unstable; urgency=medium

  * Fix copyright tests for 2023 onwards.  Thanks to Mattias Engdegård for
    the fix, and Vincent Lefevre for reporting the bug and posting the
    patch to the Debian BTS (Closes: #1028607).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 17 Jan 2023 17:32:40 -0700

emacs (1:28.2+1-9) unstable; urgency=medium

  * Backport inhibit-automatic-native-compilation from Emacs 29.
    We intend to use the EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION
    environment variable to address bugs like #1021842.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 18 Dec 2022 15:36:53 -0700

emacs (1:28.2+1-8) unstable; urgency=high

  * Fix ctags local command execution vulnerability (CVE-2022-45939)
    (Closes: #1025009).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Dec 2022 18:44:21 -0700

emacs (1:28.2+1-7) unstable; urgency=medium

  * Drop unused gcc-12 and libmagick++-6.q16-dev build-deps.

  * Add liblcms2-dev build-dep.

  * d/copyright: Fix format of Upstream-Contact field.

  * d/copyright: Fix the names of upstream's release tag and our tarball.
    Introduce a new substitution variable, DEBORIG_VERSION.

  * Run 'wrap-and-sort -st'
    Additionally apply the changes to d/copyright.in.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 27 Nov 2022 17:37:32 -0700

emacs (1:28.2+1-6) unstable; urgency=medium

  * Mark two flaky tests as unstable.
    test-undo-region is failing on Debian arch:all autobuilders, and
    process-tests/multiple-threads-waiting randomly fails locally and on
    autobuilders. (Closes: #1024060)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Nov 2022 13:13:12 -0700

emacs (1:28.2+1-5) unstable; urgency=medium

  * Fix large core dumps from background processes.
    Add 0013-Fix-large-core-dumps-from-background-processes.patch to fix
    the problem. (Closes: #1017711)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 13 Nov 2022 13:44:02 -0700

emacs (1:28.2+1-4) unstable; urgency=medium

  * Fix eln files not being generated by native-comp-async.
    Add 0012-Fix-eln-files-not-being-generated-when-native-comp-a.patch to
    fix the problem.  Thanks to Youhei SASAKI and Tatsuya Kinoshita for
    reporting the problem and indicating the upstream fix to backport
    (Closes: #1023440).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 08 Nov 2022 12:32:50 -0700

emacs (1:28.2+1-3) unstable; urgency=medium

  * Avoid fork bomb caused by native compilation trampolines.
    Add 0011-Avoid-fork-bomb-caused-by-native-compilation-trampol.patch to
    fix the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Oct 2022 15:41:35 -0700

emacs (1:28.2+1-2) unstable; urgency=medium

  * Avoid fork bomb caused by native compilation.  Add
    0010-Avoid-fork-bomb-caused-by-native-compilation.patch to fix the
    problem.  Thanks to Aymeric Agon-Rambosson for help backporting the
    patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Oct 2022 18:41:26 -0700

emacs (1:28.2+1-1) unstable; urgency=medium

  * Merge upstream version 28.2.

  * Add myself, Sean Whitton, to Uploaders field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Oct 2022 16:32:09 -0700

emacs (1:28.1+1-4) unstable; urgency=medium

  [ Rob Browning ]
  * debian/rules: don't set debian CFLAGS to -O0 on arm64 anymore.  It
    looks like this may be fixed now.  Let's see.

  * Disable debian mips64el native compilation given ABI incompatibility.
    Currently ./configure fails on eller.debian.org (mipsel host with
    mips64 sbuild chroot) with this in the config.log: Error: -march=mips1
    is not compatible with the selected ABI.

  * Disable debian s390x native compilation to avoid build crashes.
    cf. https://debbugs.gnu.org/57789

  * Fix pdumper alignment problem causing m68k build failures.  Add
    0009-pdumper-set-DUMP_RELOC_ALIGNMENT_BITS-1-for-m68k.patch to address
    the issue.  Thanks to John Paul Adrian Glaubitz for the
    patch. (Closes: 1019130)

  * Ignore lintian shared-library-lacks-prerequisites for eln files.

  * Don't crash when the ~/.emacs.d/eln-cache isn't writable.  Add
    0010-Emacs-should-no-longer-crash-when-the-eln-cache-isn-.patch to fix
    the problem.  Thanks to David Bremner for helping pursue the issue.

  [ Nicholas D Steeves ]
  * Don't enable Debian systemd unit by default.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 26 Sep 2022 20:27:06 -0500

emacs (1:28.1+1-3) unstable; urgency=medium

  * Have emacs-common depend on emacs-el until the crash is resolved.
    This should mitigate a whole raft of bugs, some of which have been
    merged into #1017698.

  * debian/copyright: fix DEP-5 format errors.  Have one upstream-contact
    with multiple values (DEP-5), and separate paragraphs in comments with
    " ." lines.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 07 Sep 2022 16:08:01 -0500

emacs (1:28.1+1-2) unstable; urgency=medium

  * Switch from gcc 11 to 12.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 20 Aug 2022 17:02:41 -0500

emacs (1:28.1+1-1) unstable; urgency=medium

  * Merge upstream version 28.1. (Closes: #1009169)

  * Update debian/copyright for 28.1.

  * Drop 0008-Don-t-downcase-real-xref-in-elisp-mode-tests.patch.  This
    appears to have been addressed upstream, and now the patch just breaks
    the tests.

  * debian/rules: configure --with-libsystemd not --enable-libsystemd.
    The latter doesn't appear to be a supported option.

  * debian/control: recommend fonts-noto-color-emoji.  See "** Improved
    support for Emoji" in the 28.1 NEWS.

  * debian/rules: update copyrights; rely on dpkg pkg-info.mk for src_name
    and debian_ver; rely on dpkg architecture.mk for DEB_HOST_*
    DEB_BUILD_*.; move libexecdir /usr/lib to /usr/libexec.

  * debian/emacs.desktop: add upstream "StartupNotify=true".

  * debian/compat: upgrade from 10 to 13.

  * Enable native compilation for debian.  Thanks to Aymeric
    Agon-Rambosson for noting that the native-lisp tree is flavor
    specific.

  * debian/control: add ca-certificates build dependency for tests.  The
    process-async-https-with-delay test depends on it.

  * debian/changelog: add 1:27.1+1-3.1 NMU.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 15 Jul 2022 17:26:23 -0500

emacs (1:27.1+1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0014-Skip-tests-that-require-Internet-when-there-s-no-Int.patch:
    Skip tests that require internet connection, fixing a FTBFS.
    (Closes: #982969)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 20 Mar 2021 17:41:44 -0400

emacs (1:27.1+1-3ubuntu6) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 03:59:33 +0000

emacs (1:27.1+1-3ubuntu5) jammy; urgency=medium

  * debian/patches/glibc-2.34-signal-stack-fix.patch: cherry-pick fix from
    upstream to fix the FTBFS with our Ubuntu glibc 2.34.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 24 Jan 2022 16:35:51 +0100

emacs (1:27.1+1-3ubuntu4) jammy; urgency=medium

  * No-change rebuild against latest libotf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Nov 2021 11:08:38 -0500

emacs (1:27.1+1-3ubuntu3) hirsute; urgency=medium

  * Tag lscm test case as flakey.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Jan 2021 10:55:28 +0000

emacs (1:27.1+1-3ubuntu2) hirsute; urgency=medium

  * Skip tests that require DNS lookups (LP: #1911209)
    - debian/patches/skip-dns-lookup-tests.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 12 Jan 2021 16:17:22 +0100

emacs (1:27.1+1-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.
    - Run 'python3' as default Python command instead of 'python'

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 08 Nov 2020 03:18:49 +0000

emacs (1:27.1+1-3) unstable; urgency=medium

  * Strip parent path from package descriptions for reprodcibility.  Add
    0012-Strip-parent-path-from-package-descriptions-for-repr.patch to
    incorporate the changes.  Thanks to Chris Lamb for reporting the
    problem and tracking down the cause. (Closes: 972861)

  * Apply upstream patch to restore schemas.xml to fix nXML mode.  Add
    0013-Recover-the-contents-of-the-schemas.xml-file.patch to incorporate
    the changes.  Thanks to Yasuhiro KIMURA for reporting the problem and
    the fix.  (Closes: 973633)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Nov 2020 16:16:23 -0600

emacs (1:27.1+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 24 Oct 2020 11:31:42 -0500

emacs (1:27.1+1-1) experimental; urgency=medium

  * Merge upstream version 27.1.

  * Update debian/control for 27.1.

  * Update debian/copyright for 27.1.

  * Update debian/control build-deps for 27.1.

  * Fix emacs-module-tests to work with VPATH builds.  Add
    0011-emacs-module-tests-fix-VPATH-builds.patch to address the issue.

  * debian/rules: put new pdmp files in flavor-specific packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Aug 2020 16:09:09 -0500

emacs (1:26.3+1-2) unstable; urgency=medium

  * Fix intermittent test failures in process-tests.  Add
    0012-The-Emacs-process-tests-should-no-longer-fail-interm.patch to
    address the issue.  Thanks to Ivo De Decker for reporting the problem,
    J. Smith for tracking down the upstream bug, and Nick Gasson for
    locating the upstream patch. (Closes: 944616)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 May 2020 19:25:51 -0500

emacs (1:26.3+1-1ubuntu2) focal; urgency=medium

  * Run 'python3' as default Python command instead of 'python'

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Mar 2020 22:45:59 +0100

emacs (1:26.3+1-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Sep 2019 09:25:41 +0200

emacs (1:26.3+1-1) unstable; urgency=medium

  * Merge upstream version 26.3. (Closes: 939737)

  * Update debian/copyright for 26.3.

  * Update debian/control for 26.3.

  * Don't override the upstream EPLA packaging key anymore.  Emacs 26.3
    has the correct version.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Sep 2019 20:17:48 -0500

emacs (1:26.1+1-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2019 08:34:21 +0200

emacs (1:26.1+1-4) unstable; urgency=high

  * Update the EPLA packaging key (previous key expires 2019-09-23) via
    the upstream commit f16785d361097df9fddfcc0b60ae6f0d92e7e911.  Add the
    old and new keyrings to debian/ and debian/source/include-binaries
    since debian/patches/ can't handle git binary diffs.  Thanks to Stefan
    Monnier for reporting the problem and providing the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 Sep 2019 15:02:23 -0500

emacs (1:26.1+1-3.3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:47:57 +0000

emacs (1:26.1+1-3.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2019 23:29:34 +0200

emacs (1:26.1+1-3.3) unstable; urgency=medium

  * Non-maintainer upload.

  * Drop transitional versioned emacsXX* packages.

  * Cherry-pick 408bf21a8c and 95b77b0451 to fix crashes with color fonts,
    thanks to Vincent Lefevre.  (Closes: #929567)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jul 2019 20:42:27 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog emacs-bin-common`.
